Skip to main content
POST
/
outbound
/
transactional-keys
/
rotate
Rotate transactional API key
curl --request POST \
  --url https://api.jetemail.com/outbound/transactional-keys/rotate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "api_token": "transactional_a1b2c3d4"
}
'
{
  "success": true,
  "message": "Transactional key rotated successfully",
  "api_token": "transactional_e5f6a7b8"
}

Authorizations

Authorization
string
header
required

API key for account management endpoints. Use your api_ prefixed token.

Body

application/json
api_token
string
required

The current API token to rotate

Example:

"transactional_a1b2c3d4"

Response

Transactional key rotated successfully

success
boolean
Example:

true

message
string
Example:

"Transactional key rotated successfully"

api_token
string

The new API token

Example:

"transactional_e5f6a7b8"